PROGRAM smallsynth;
{$APPTYPE CONSOLE}
{$IFDEF FPC}
{$MODE DELPHI}
{$HINTS OFF}
{$ENDIF}
{$UNDEF CLEAN}
{$O+}

uses
  Windows,
  MMSystem,
  trackfile,
  synth in 'synth.pas';

VAR SynthData:TSynthData;
BEGIN
 SynthInit(SynthData,@TrackData,TrackSize);
 SynthData.ActiveState:=FALSE;
 SynthData.DestActiveState:=TRUE;
 WHILE TRUE DO BEGIN
  SynthPoll(SynthData);
  SLEEP(25);
 END;
 SynthDone(SynthData);
END.
